from pydantic import BaseModel, model_validator
from typing import List, Optional


class CmsAnalysisInput(BaseModel):
    ids: List[int] = []
    windCode: str
    analysisType: str
    fmin: Optional[int] = None
    fmax: Optional[int] = None

    @model_validator(mode='before')
    def convert_ids(cls, values):
        if isinstance(values.get('ids'), int):
            values['ids'] = [values['ids']]
        return values
